import { defaultProps } from 'recompose';
import defaultComsMap, { UnSupport } from "./mod/coms-map";
// 得到相对应的组件
export var getComByUiType = function getComByUiType(uiType) {
  var externalComsMap = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var Com = externalComsMap[uiType] || defaultComsMap[uiType] || defaultProps({
    uiType: uiType
  })(UnSupport);
  return Com;
};